// I added new fractal-related pattern types to povray:
// mandel3, mandel4, julia, julia3, julia4, magnet1m, magnet1j.
//  (See my post in p.u.patches)

//  Here is an example scene:
#version unofficial MegaPov 0.4;

#declare ColorMap=
  color_map { [0 rgb 0][.2 rgb x][ .4 rgb x+y][1 rgb 1][1 rgb 0] }

#declare P1 = pigment { mandel 35 color_map { ColorMap } }
#declare P2 = pigment { mandel3 35 color_map { ColorMap } }
#declare P3 = pigment { mandel4 35 color_map { ColorMap } }
#declare P4 = pigment { julia <-.362,.793> 50 color_map { ColorMap } }
#declare P5 = pigment { julia3 <-.278,.783> 50 color_map { ColorMap } }
#declare P6 = pigment { julia4 <0.576,.594> 50 color_map { ColorMap } }
#declare P7 = pigment { magnet1m 35 color_map { ColorMap } }
#declare P8 = pigment { magnet1j <1.271,.905> 50 color_map { ColorMap } }

camera { location -z*19.6 look_at 0 angle 35 }
light_source { -z*100,1 }
background { rgb z }
#default { pigment { rgb 1 } }

box { <-2,-1.5,0><2,1.5,.1> pigment { P1 } translate <-4.1,3.1,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P2 } translate <0,3.1,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P3 } translate <4.1,3.1,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P4 } translate <-4.1,0,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P5 } }
box { <-2,-1.5,0><2,1.5,.1> pigment { P6 } translate <4.1,0,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P7 translate -x scale .5 }
  translate <-4.1,-3.1,0> }
box { <-2,-1.5,0><2,1.5,.1> pigment { P8 scale .2 } translate <0,-3.1,0> }
